<?php
/**
 * Body Classes.
 * @package Elegant Jewellery
 */

if (!function_exists('elegant_jewellery_body_classes')) :

    function elegant_jewellery_body_classes($elegant_jewellery_classes)
    {
        $elegant_jewellery_defaults = elegant_jewellery_get_default_theme_options();
        $elegant_jewellery_layout = elegant_jewellery_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $elegant_jewellery_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $elegant_jewellery_classes[] = $elegant_jewellery_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('elegant_jewellery_copyright_alignment', 'Default');
        $elegant_jewellery_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $elegant_jewellery_classes;
    }

endif;

add_filter('body_class', 'elegant_jewellery_body_classes');